PHP 手冊
前一頁 |  | 下一頁

# DOMImplementation->createDocument()

DOMImplementation->createDocument() -- Creates a DOMDocument object of the specified type with its document element

## Description

class DOMImplementation {
DOMDocument createDocument ( [string namespaceURI [, string qualifiedName [, DOMDocumentType doctype]]] )
}

Creates a DOMDocument object of the specified type with its document element.

## Parameters

namespaceURI

  The namespace URI of the document element to create.

qualifiedName

  The qualified name of the document element to create.

doctype

  The type of document to create or `NULL`.

## Return Values

A new DOMDocument object. If namespaceURI, qualifiedName, and doctype are null, the returned DOMDocument is empty with no document element

## Exceptions

`DOM_WRONG_DOCUMENT_ERR`

  Raised if doctype has already been used with a different document or was created from a different implementation.

`DOM_NAMESPACE_ERR`

  Raised if there is an error with the namespace, as determined by namespaceURI and qualifiedName.

## 參考

DOMDocument->__construct()
DOMImplementation->createDocumentType()

前一頁 | 內容 | 下一頁
DOMElement->setAttributeNS() | 上一層 | DOMImplementation->createDocumentType()